%define		pearname	Debug
%define		php_min_version 5.3.3
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Debug Component
Name:		php-symfony2-Debug
Version:	2.4.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{pearname}/archive/v%{version}/%{pearname}-%{version}.tar.gz
# Source0-md5:	42009964582d8d6003745c3ecdc819b1
URL:		http://symfony.com/doc/2.4/components/debug/index.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(spl)
Requires:	php-pear >= 4:1.3.10
Suggests:	php-symfony2-HttpFoundation
Suggests:	php-symfony2-HttpKernel
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Debug Component provides tools to ease debugging PHP code.

%prep
%setup -q -n %{pearname}-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{pearname}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{pearname}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{pearname}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/Debug
%{php_pear_dir}/Symfony/Component/Debug/*.php
%{php_pear_dir}/Symfony/Component/Debug/Exception
%{php_pear_dir}/Symfony/Component/Debug/FatalErrorHandler
%changelog
* Mon Aug 04 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Debug.git;a=log;h=master

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 1e07323
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 6466eca
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 988817f
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 540d0ce
- update suggests

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> efad5df
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 6cf57bd
- new, version 2.3.4

